.form-content {
    width:450px;
    border-radius: var(--border-radius-10);
    background: var(--grey-opacity);
    backdrop-filter: blur(10px);           
    -webkit-backdrop-filter: blur(10px);   
    padding:35px;
}
@media(max-width: 767px) {
    .form-content {
        width: 90%;
        padding:15px;
    }
}

form input[type="text"], 
form input[type="number"],
form input[type="file"],
form input[type="password"],
form input[type="email"],
form input[type="datetime-local"],
form input[type="date"],
select, textarea {
    outline: none !important;
    width: 100%;
    padding: 14px;
    background: var(--grey-opacity);
    backdrop-filter: blur(10px);           
    -webkit-backdrop-filter: blur(10px);   
    border-radius: var(--border-radius-10);
    font-size: 16px;
    transition: var(--transition);
    border: none;
    color: var(--text-white) !important;
}

select {
    appearance: none;          /* Standard */
    -webkit-appearance: none;  /* Chrome, Safari */
    -moz-appearance: none;     /* Firefox */
}

.select-wrapper {
    position: relative;
}

.select-wrapper select {
    width: 100%;
    padding: 14px 48px 14px 16px; /* space for arrow */
    border-radius: 12px;
    background-color: var(--grey-opacity);
    color: var(--text-white);
    border: none;
    outline: none;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' fill='white' viewBox='0 0 16 16'%3E%3Cpath d='M1.5 5.5l6 6 6-6'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 16px center;
    background-size: 14px;
}


select option {
    background: var(--grey-opacity);
    color: var(--light-dark-color);
    padding: 10px;
}

input::placeholder, textarea::placeholder {
    color: var(--text-white-30) !important;
}

.checkbox-container {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 16px;
}
.checkbox-container input[type="checkbox"] {
    accent-color: var(--light-primary-color) !important; 
    width: 20px;
    height: 20px;
    cursor: pointer;
}
.checkbox-container label {
    font-size: 16px;
    cursor: pointer;
    transition: color 0.2s;
}
/* File Upload */
.file-upload {
    border: 2px dashed var(--grey-opacity);
    border-radius: var(--border-radius-10);
    padding: 40px;
    text-align: center;
    transition: var(--transition);
    margin-bottom: 20px;
}
.file-upload:hover {
    border-color: var(--light-primary-color);
    
}
.file-upload i {
    font-size: 48px;
    color: var(--light-primary-color);
    margin-bottom: 15px;
}
.file-upload h4 {
    margin-bottom: 10px;
    color: var(--light-dark-color);
}
.file-upload p {
    color: var(--grey-opacity);
    margin-bottom: 20px;
}
.browse-btn {
    background: var(--light-primary-color);
    color: var(--text-white) !important;
    padding: 10px;
    border-radius: var(--border-radius-30);
    font-weight: 600;
    cursor: pointer;
    transition: var(--transition);
    border: none;
    display: inline-block;
    width: 200px;
}
.browse-btn:hover {
    background: var(--primary-color);
}
.file-list {
    margin-top: 20px;
}
.searchable-dropdown {
  position: relative;
  width: 100%;
}
.searchable-dropdown input {
  width: 100%;
  padding: 8px;
  box-sizing: border-box;
}
.searchable-dropdown .options {
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  max-height: 200px;
  overflow-y: auto;
  border: 1px solid var(--text-white-30);
  background: var(--text-white);
  z-index: 999;
  display: none;
}
.searchable-dropdown .option {
  padding: 8px;
  cursor: pointer;
}
.searchable-dropdown .option:hover {
  background: var(--text-white-50)
}
/* progress bar */
.progress {
    background: var(--grey-opacity);
    backdrop-filter: blur(10px) !important;           /* frosted glass effect */
    -webkit-backdrop-filter: blur(10px) !important;   /* Safari support */
}